
public class Class172 {

   Class545_Sub1 aClass545_Sub1_2068;
   Interface24 anInterface24_2069;
   Class564 aClass564_2070 = new Class564(6291456, 256);


   void method3000() {
      this.aClass564_2070.method11963(5, (byte)-62);
   }

   void method3001() {
      this.aClass564_2070.method11976((byte)39);
   }

   Class147_Sub4 method3002(int var1, int var2) {
      Class147_Sub4 var3 = (Class147_Sub4)this.aClass564_2070.method11959((long)var1);
      if(var3 != null) {
         return var3;
      } else if(!this.method3003(var1, var2)) {
         return null;
      } else {
         Class161 var4 = this.anInterface24_2069.method113(var1, 536299469);
         if(var2 == -1) {
            var2 = var4.anInt1989 * -836426007;
         }

         Class147_Sub4 var6;
         if(var4.aBool2000 && this.aClass545_Sub1_2068.method11588()) {
            float[] var7 = this.anInterface24_2069.method116(var1, 0.7F, var2, var2, false, (byte)21);
            var6 = new Class147_Sub4(this.aClass545_Sub1_2068, 3553, Class98.aClass98_992, Class91.aClass91_903, var2, var2, var4.aByte1998 != 0, var7, Class98.aClass98_992);
         } else {
            int[] var5;
            if(var4.aClass565_1987 != Class565.aClass565_7503 && Class463_Sub17.method12955(var4.aByte1986, 1509612721)) {
               var5 = this.anInterface24_2069.method127(var1, 0.7F, var2, var2, true, -1122500870);
            } else {
               var5 = this.anInterface24_2069.method115(var1, 0.7F, var2, var2, false, (short)-30489);
            }

            var6 = new Class147_Sub4(this.aClass545_Sub1_2068, 3553, var2, var2, var4.aByte1998 != 0, var5, 0, 0, false);
         }

         var6.method15463(var4.aBool1984, var4.aBool1974);
         this.aClass564_2070.method11962(var6, (long)var1, var2 * var2, (byte)-73);
         return var6;
      }
   }

   boolean method3003(int var1, int var2) {
      Class161 var3 = this.anInterface24_2069.method113(var1, 1045448185);
      if(var2 == -1) {
         var2 = var3.anInt1989 * -836426007;
      }

      return var3.aBool2000 && this.aClass545_Sub1_2068.method11588()?this.anInterface24_2069.method119(var1, Class557.aClass557_7472, 0.7F, var2, var2, false, 2082076823):(var3.aClass565_1987 != Class565.aClass565_7503 && Class463_Sub17.method12955(var3.aByte1986, 923182662)?this.anInterface24_2069.method119(var1, Class557.aClass557_7470, 0.7F, var2, var2, true, -292755893):this.anInterface24_2069.method119(var1, Class557.aClass557_7471, 0.7F, var2, var2, false, -1947105364));
   }

   Class147_Sub4 method3004(int var1) {
      return this.method3002(var1, -1);
   }

   void method3005() {
      this.aClass564_2070.method11976((byte)96);
   }

   boolean method3006(int var1, int var2) {
      Class161 var3 = this.anInterface24_2069.method113(var1, 21648111);
      if(var2 == -1) {
         var2 = var3.anInt1989 * -836426007;
      }

      return var3.aBool2000 && this.aClass545_Sub1_2068.method11588()?this.anInterface24_2069.method119(var1, Class557.aClass557_7472, 0.7F, var2, var2, false, 914628857):(var3.aClass565_1987 != Class565.aClass565_7503 && Class463_Sub17.method12955(var3.aByte1986, 591328284)?this.anInterface24_2069.method119(var1, Class557.aClass557_7470, 0.7F, var2, var2, true, 750605786):this.anInterface24_2069.method119(var1, Class557.aClass557_7471, 0.7F, var2, var2, false, 308908537));
   }

   Class147_Sub4 method3007(int var1, int var2) {
      Class147_Sub4 var3 = (Class147_Sub4)this.aClass564_2070.method11959((long)var1);
      if(var3 != null) {
         return var3;
      } else if(!this.method3003(var1, var2)) {
         return null;
      } else {
         Class161 var4 = this.anInterface24_2069.method113(var1, 1230751252);
         if(var2 == -1) {
            var2 = var4.anInt1989 * -836426007;
         }

         Class147_Sub4 var6;
         if(var4.aBool2000 && this.aClass545_Sub1_2068.method11588()) {
            float[] var7 = this.anInterface24_2069.method116(var1, 0.7F, var2, var2, false, (byte)98);
            var6 = new Class147_Sub4(this.aClass545_Sub1_2068, 3553, Class98.aClass98_992, Class91.aClass91_903, var2, var2, var4.aByte1998 != 0, var7, Class98.aClass98_992);
         } else {
            int[] var5;
            if(var4.aClass565_1987 != Class565.aClass565_7503 && Class463_Sub17.method12955(var4.aByte1986, 2026946742)) {
               var5 = this.anInterface24_2069.method127(var1, 0.7F, var2, var2, true, -1122500870);
            } else {
               var5 = this.anInterface24_2069.method115(var1, 0.7F, var2, var2, false, (short)-15407);
            }

            var6 = new Class147_Sub4(this.aClass545_Sub1_2068, 3553, var2, var2, var4.aByte1998 != 0, var5, 0, 0, false);
         }

         var6.method15463(var4.aBool1984, var4.aBool1974);
         this.aClass564_2070.method11962(var6, (long)var1, var2 * var2, (byte)16);
         return var6;
      }
   }

   Class147_Sub4 method3008(int var1, int var2) {
      Class147_Sub4 var3 = (Class147_Sub4)this.aClass564_2070.method11959((long)var1);
      if(var3 != null) {
         return var3;
      } else if(!this.method3003(var1, var2)) {
         return null;
      } else {
         Class161 var4 = this.anInterface24_2069.method113(var1, 438333071);
         if(var2 == -1) {
            var2 = var4.anInt1989 * -836426007;
         }

         Class147_Sub4 var6;
         if(var4.aBool2000 && this.aClass545_Sub1_2068.method11588()) {
            float[] var7 = this.anInterface24_2069.method116(var1, 0.7F, var2, var2, false, (byte)-34);
            var6 = new Class147_Sub4(this.aClass545_Sub1_2068, 3553, Class98.aClass98_992, Class91.aClass91_903, var2, var2, var4.aByte1998 != 0, var7, Class98.aClass98_992);
         } else {
            int[] var5;
            if(var4.aClass565_1987 != Class565.aClass565_7503 && Class463_Sub17.method12955(var4.aByte1986, 967898436)) {
               var5 = this.anInterface24_2069.method127(var1, 0.7F, var2, var2, true, -1122500870);
            } else {
               var5 = this.anInterface24_2069.method115(var1, 0.7F, var2, var2, false, (short)759);
            }

            var6 = new Class147_Sub4(this.aClass545_Sub1_2068, 3553, var2, var2, var4.aByte1998 != 0, var5, 0, 0, false);
         }

         var6.method15463(var4.aBool1984, var4.aBool1974);
         this.aClass564_2070.method11962(var6, (long)var1, var2 * var2, (byte)40);
         return var6;
      }
   }

   Class147_Sub4 method3009(int var1, int var2) {
      Class147_Sub4 var3 = (Class147_Sub4)this.aClass564_2070.method11959((long)var1);
      if(var3 != null) {
         return var3;
      } else if(!this.method3003(var1, var2)) {
         return null;
      } else {
         Class161 var4 = this.anInterface24_2069.method113(var1, -865498111);
         if(var2 == -1) {
            var2 = var4.anInt1989 * -836426007;
         }

         Class147_Sub4 var6;
         if(var4.aBool2000 && this.aClass545_Sub1_2068.method11588()) {
            float[] var7 = this.anInterface24_2069.method116(var1, 0.7F, var2, var2, false, (byte)-34);
            var6 = new Class147_Sub4(this.aClass545_Sub1_2068, 3553, Class98.aClass98_992, Class91.aClass91_903, var2, var2, var4.aByte1998 != 0, var7, Class98.aClass98_992);
         } else {
            int[] var5;
            if(var4.aClass565_1987 != Class565.aClass565_7503 && Class463_Sub17.method12955(var4.aByte1986, 380726053)) {
               var5 = this.anInterface24_2069.method127(var1, 0.7F, var2, var2, true, -1122500870);
            } else {
               var5 = this.anInterface24_2069.method115(var1, 0.7F, var2, var2, false, (short)-16304);
            }

            var6 = new Class147_Sub4(this.aClass545_Sub1_2068, 3553, var2, var2, var4.aByte1998 != 0, var5, 0, 0, false);
         }

         var6.method15463(var4.aBool1984, var4.aBool1974);
         this.aClass564_2070.method11962(var6, (long)var1, var2 * var2, (byte)-41);
         return var6;
      }
   }

   boolean method3010(int var1, int var2) {
      Class161 var3 = this.anInterface24_2069.method113(var1, -143245648);
      if(var2 == -1) {
         var2 = var3.anInt1989 * -836426007;
      }

      return var3.aBool2000 && this.aClass545_Sub1_2068.method11588()?this.anInterface24_2069.method119(var1, Class557.aClass557_7472, 0.7F, var2, var2, false, -326013640):(var3.aClass565_1987 != Class565.aClass565_7503 && Class463_Sub17.method12955(var3.aByte1986, 1052379442)?this.anInterface24_2069.method119(var1, Class557.aClass557_7470, 0.7F, var2, var2, true, 1694065278):this.anInterface24_2069.method119(var1, Class557.aClass557_7471, 0.7F, var2, var2, false, -1610857599));
   }

   void method3011() {
      this.aClass564_2070.method11976((byte)123);
   }

   boolean method3012(int var1, int var2) {
      Class161 var3 = this.anInterface24_2069.method113(var1, -830836128);
      if(var2 == -1) {
         var2 = var3.anInt1989 * -836426007;
      }

      return var3.aBool2000 && this.aClass545_Sub1_2068.method11588()?this.anInterface24_2069.method119(var1, Class557.aClass557_7472, 0.7F, var2, var2, false, 354254765):(var3.aClass565_1987 != Class565.aClass565_7503 && Class463_Sub17.method12955(var3.aByte1986, 354974194)?this.anInterface24_2069.method119(var1, Class557.aClass557_7470, 0.7F, var2, var2, true, 1215158034):this.anInterface24_2069.method119(var1, Class557.aClass557_7471, 0.7F, var2, var2, false, 1795258799));
   }

   void method3013() {
      this.aClass564_2070.method11976((byte)79);
   }

   Class172(Class545_Sub1 var1, Interface24 var2) {
      this.aClass545_Sub1_2068 = var1;
      this.anInterface24_2069 = var2;
   }

   Class147_Sub4 method3014(int var1) {
      return this.method3002(var1, -1);
   }
}
